> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get issue

> Get a single issue. The validation field is null when no validation row exists; when present it contains status, evidence_summary, and validated_at.



## OpenAPI

````yaml https://api.uselemma.ai/openapi.json get /issues/{issue_id}
openapi: 3.1.0
info:
  title: Lemma Platform API
  description: Lemma Platform HTTP API for AI observability and workspace operations.
  version: 0.1.0
servers:
  - url: https://api.uselemma.ai
    description: Lemma production API
security:
  - bearerAuth: []
paths:
  /issues/{issue_id}:
    get:
      tags:
        - Issues
      summary: Get issue
      description: >-
        Get a single issue. The validation field is null when no validation row
        exists; when present it contains status, evidence_summary, and
        validated_at.
      operationId: get_issue
      parameters:
        - name: issue_id
          in: path
          required: true
          description: Issue ID.
          schema:
            type: string
      responses:
        '200':
          description: Issue
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  project_id:
                    type: string
                  agent_name:
                    type:
                      - string
                      - 'null'
                  name:
                    type: string
                  category:
                    anyOf:
                      - type: string
                        enum:
                          - retry_loop
                          - integration_failure
                          - skipped_work
                          - misread_instruction
                          - out_of_scope_work
                          - instruction_violation
                          - hallucination
                          - communication
                      - type: string
                        const: unknown
                  subsystem:
                    type:
                      - string
                      - 'null'
                  failure_class:
                    type:
                      - string
                      - 'null'
                  canonical_mechanism:
                    type:
                      - string
                      - 'null'
                  status:
                    type: string
                    enum:
                      - open
                      - in_progress
                      - resolved
                      - dismissed
                  regressed_at:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  created_at:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  updated_at:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  assignee_user_id:
                    type:
                      - string
                      - 'null'
                  confirmed_by:
                    type:
                      - string
                      - 'null'
                  confirmed_at:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  confirmation_verdict:
                    type:
                      - string
                      - 'null'
                    enum:
                      - agreed_with_validation
                      - overrode_inconclusive
                      - overrode_invalid
                      - null
                  flagged:
                    type: boolean
                  tags:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        color:
                          type: string
                      required:
                        - id
                        - name
                        - color
                      additionalProperties: false
                  notifiable:
                    type: boolean
                  needs_review:
                    type: boolean
                  introduced_in_release:
                    type:
                      - string
                      - 'null'
                  last_seen_in_release:
                    type:
                      - string
                      - 'null'
                  validation:
                    type:
                      - object
                      - 'null'
                    properties:
                      status:
                        type: string
                        enum:
                          - valid
                          - invalid
                          - inconclusive
                          - failed
                          - not_run
                      evidence_summary:
                        type:
                          - string
                          - 'null'
                      validated_at:
                        type:
                          - string
                          - 'null'
                        format: date-time
                    required:
                      - status
                      - evidence_summary
                      - validated_at
                    additionalProperties: false
                  raw_lane_scores:
                    type:
                      - object
                      - 'null'
                    properties:
                      impact_occurrences:
                        type: number
                      impact_project_occurrences:
                        type: number
                      impact_project_traces:
                        type: number
                      impact_occurrence_share:
                        type: number
                      impact_affected_traces:
                        type: number
                      impact_trace_share:
                        type: number
                      impact_trace_share_lower:
                        type: number
                      impact_judged_traces:
                        type: number
                      spike_current:
                        type: number
                      spike_baseline:
                        type: number
                      spike_ratio:
                        type: number
                      spike_baseline_count:
                        type: number
                      spike_baseline_exposure:
                        type: number
                      spike_current_exposure:
                        type: number
                      persistence_span_days:
                        type: number
                      persistence_active_days:
                        type: number
                      resolution_floor:
                        type:
                          - number
                          - 'null'
                    required:
                      - impact_occurrences
                      - impact_project_occurrences
                      - impact_project_traces
                      - impact_occurrence_share
                      - impact_affected_traces
                      - impact_trace_share
                      - impact_trace_share_lower
                      - impact_judged_traces
                      - spike_current
                      - spike_baseline
                      - spike_ratio
                      - spike_baseline_count
                      - spike_baseline_exposure
                      - spike_current_exposure
                      - persistence_span_days
                      - persistence_active_days
                      - resolution_floor
                    additionalProperties: false
                  metric_flags:
                    type: object
                    properties:
                      impact:
                        type:
                          - boolean
                          - 'null'
                      spike:
                        type:
                          - boolean
                          - 'null'
                      persistence:
                        type:
                          - boolean
                          - 'null'
                    required:
                      - impact
                      - spike
                      - persistence
                    additionalProperties: false
                required:
                  - id
                  - project_id
                  - agent_name
                  - name
                  - category
                  - subsystem
                  - failure_class
                  - canonical_mechanism
                  - status
                  - regressed_at
                  - created_at
                  - updated_at
                  - assignee_user_id
                  - confirmed_by
                  - confirmed_at
                  - confirmation_verdict
                  - flagged
                  - tags
                  - notifiable
                  - needs_review
                  - validation
                  - raw_lane_scores
                  - metric_flags
                additionalProperties: false
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````